=== debian/changelog ===
xpilot-ng (1:4.7.3-2.3ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-pingtime_str-len.patch:
      + Fix buffer overrun caused by pingtime_str being 1 char
        too short for PING_UNKNOWN magic value. (Closes: #695297)
    - debian/patches/implicit_Move_point.patch:
      + Correct implicit function declaration.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Feb 2018 13:16:42 -0800

xpilot-ng (1:4.7.3-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Change dependency on obsolete transitional package ttf-freefont to
    fonts-freefont-ttf.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 23 Nov 2017 23:42:12 +0000

xpilot-ng (1:4.7.3-2.2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-pingtime_str-len.patch:
      + Fix buffer overrun caused by pingtime_str being 1 char
        too short for PING_UNKNOWN magic value. (Closes: #695297)
    - debian/patches/implicit_Move_point.patch:
      + Correct implicit function declaration.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 25 Feb 2015 00:25:01 +0100

xpilot-ng (1:4.7.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4. Closes: #728009, #744551

 -- Steve McIntyre <93sam@debian.org>  Fri, 24 Oct 2014 17:59:32 -0700

xpilot-ng (1:4.7.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Update dependency on python-wxgtk2.8 to python-wxgtk3.0.
  * Update patch use-wxwidgets2.8.patch to use wxwidgets3.0 by default and
    rename to use-wxwidgets3.0.patch.

 -- Olly Betts <olly@survex.com>  Fri, 08 Aug 2014 17:10:32 +1200

xpilot-ng (1:4.7.3-2ubuntu2) trusty; urgency=low

  * Use autotools-dev helper for newer arches, resolving FTBFS.
  * Correct implicit function declaration.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 15 Mar 2014 20:45:48 -0400

xpilot-ng (1:4.7.3-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix-pingtime_str-len.patch: Fix buffer overrun caused by
      pingtime_str being 1 char too short for PING_UNKNOWN magic value.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 13 Nov 2013 20:40:45 -0500

xpilot-ng (1:4.7.3-2) unstable; urgency=low

  * Add pjb@debian.org to Uploaders in control file (discussed with
    maintainer via email).
  * Acknowledge NMUs -1.1 to -1.4 (closes: #580648, #584988, #645511).
    Thank you.
  * Apply patch so that +cannonsPickupItems is no longer ignored
    (closes: #595957).  Add cannons-pickup-items.patch.
  * Fix typo in control file (closes: #697995).
  * xpilot-ng-common now uses python-irc instead of python-irclib
    (closes: #719115).  Add use-python-irc.patch.
  * Bump standards-version to 3.9.4.
  * Use dh_python2 instead of dh_pysupport.
  * Add hardening flags to debian/rules.
  * Change --name to --exec in prerm (closes: #645867).
  * Change source/options to ignore results of autoreconf.
  * Fix debian/xpilot-ng-server.init for runlevels 0 and 6.

 -- Phil Brooke <pjb@debian.org>  Sun, 10 Nov 2013 10:10:57 +0000

xpilot-ng (1:4.7.3-1.4ubuntu1) raring; urgency=low

  * Fix buffer overrun caused by pingtime_str being 1 char too short for
    PING_UNKNOWN magic value (LP: #1033250)

 -- Dr. David Alan Gilbert <dave@treblig.org>  Mon, 03 Dec 2012 00:47:13 +0000

xpilot-ng (1:4.7.3-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Migrate to use /run instead of /var/run and make sure to create
    /run/xpilot-ng-server and set the correct owner, group and permissions
    before using it, since it won't persist over reboot when /run is a tmpfs.
    (Closes: #645868)

 -- Olly Betts <olly@survex.com>  Fri, 25 Nov 2011 09:42:17 +0000

xpilot-ng (1:4.7.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Update dependency on python-wxgtk2.6 to python-wxgtk2.8.
  * Add patch use-wxwidgets2.8.patch to use wxwidgets2.8 by default.

 -- Olly Betts <olly@survex.com>  Sun, 16 Oct 2011 11:29:22 +0000

xpilot-ng (1:4.7.3-1.2) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/copyright
    - (1:4.7.3-1.1 entries): Delete bogus Closes line for
      #515489. Delete bogus Build-Depends message.
  * debian/patches
    - Delete directory. Generated by packaging format 3.0 from the build
      process. Contained only auto generated files, not modified by us.
  * debian/source/options
    - New file. Ignore files from patch. This makes debian/patches/ to
      appear clean.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 Jun 2010 21:01:11 +0300

xpilot-ng (1:4.7.3-1.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): Update to debhelper 7.1.
    - (Depends): Add ${misc:Depends}.
    - (Homepage): Add new field; lift from Description.
    - (Standards-Version): Update to 3.8.4.
  * debian/{postrm,postinst}
    - Fix Lintian maintainer-script-ignores-errors.
  * debian/source/format
    - New file.
  * debian/watch
    - New file (Closes: #549382).
      Thanks to Daniel Leidert <daniel.leidert@wgdd.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 07 May 2010 03:20:09 +0300

xpilot-ng (1:4.7.3-1) unstable; urgency=low

  * Upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 07 Mar 2010 18:33:13 -0400

xpilot-ng (1:4.7.3~cvs20091102-1) unstable; urgency=low

  * CVS snapshot, including fix for conflicting getline function in
    textinterface.c. (Closes: #552817)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 02 Nov 2009 14:05:17 -0400

xpilot-ng (1:4.7.3~cvs20080224-1) unstable; urgency=low

  * CVS snapshot, preparing for 4.7.3 release.
  * Fix dependencies to make binNMU safe. (Closes: #435967)
  * Moved maps and server configs from -common to -server and dropped -server

