=== debian/control ===
Source: xpilot-ng
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Uploaders: Phil Brooke <pjb@debian.org>
Build-Conflicts: autoconf2.13, automake1.4, x11proto-xf86misc-dev
Build-Depends: autoconf, automake1.11, debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev, zlib1g-dev, libexpat1-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libgl1-mesa-dev, libglu1-mesa-dev, libalut-dev, libopenal-dev (>= 1:1.10.622), help2man, python (>= 2.6.6-3~), autotools-dev
Standards-Version: 3.9.4
Homepage: http://xpilot.sf.net

Package: xpilot-ng
Architecture: all
Depends: ${misc:Depends}, xpilot-ng-client-x11 (>= ${source:Version}), xpilot-ng-client-sdl (>= ${source:Version}), xpilot-ng-server (>= ${source:Version}), xpilot-ng-utils (>= ${source:Version})
Description: Multi-player tactical game for X (NG version)
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package is a complete XPilot installation, including the
 XPilot client, server and utilities.

Package: xpilot-ng-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-wxgtk3.0, python-irc, fonts-freefont-ttf, ttf-bitstream-vera
Suggests: xpilot-ng-server, xpilot-ng-utils, xpilot-ng-client-x11, xpilot-ng-client-sdl
Description: Common files for XPilot NG
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package contains the common files for the server, clients and
 utilities including both data and documentation.

Package: xpilot-ng-client-x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xpilot-ng-common (= ${source:Version})
Description: Client for XPilot NG
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package contains the classic client needed to play the game.
 Because it is X11-based, it has a very basic, clean look-and-feel,
 and is suitable for use on older, less powerful systems.

Package: xpilot-ng-client-sdl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xpilot-ng-common (= ${source:Version})
Description: Client for XPilot NG
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package contains a modern client with fancier graphics.  It is 
 suitable for use on modern systems with sufficient resources to run SDL 
 and GL.

Package: xpilot-ng-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xpilot-ng-common (= ${source:Version})
Description: Utilities for XPilot NG
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package contains utilities for making XPilot maps and playing
 back recordings of XPilot games.

Package: xpilot-ng-server
Architecture: any
Depends: ${misc:Depends}, adduser (>=3.34), ${shlibs:Depends}
Conflicts: xpilot-ng-common (<< 1:4.7.3~cvs20070805-1)
Replaces: xpilot-ng-common (<< 1:4.7.3~cvs20070805-1)
Description: Server for hosting XPilot NG games
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package contains the server daemon you need in order to host
 your own game of XPilot.
