=== debian/watch ===
version=3
http://sf.net/xpilot/xpilot-ng-([\d.]+)\.tar\.gz
